%define		module	ply
Summary:	Python Lex-Yacc
Summary(pl.UTF-8):	lex i yacc dla Pythona
Name:		python-%{module}
Version:	3.4
Release:	3
License:	BSD
Group:		Libraries/Python
Source0:	http://www.dabeaz.com/ply/ply-%{version}.tar.gz
# Source0-md5:	ffdc95858819347bf92d7c2acc074894
URL:		http://www.dabeaz.com/ply/
BuildRequires:	python >= 2.2.1
%pyrequires_eq	python
Obsoletes:	%{module}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLY is yet another implementation of lex and yacc for Python. Although
several other parsing tools are available for Python, there are
several reasons why you might want to take a look at PLY:
- It uses LR-parsing which is reasonably efficient and well suited for
  larger grammars.
- PLY provides most of the standard lex/yacc features including
  support for empty productions, precedence rules, error recovery, and
  support for ambiguous grammars.
- PLY is extremely easy to use and provides very extensive error
  checking.

%description -l pl.UTF-8
PLY to kolejna implementacja narzędzi lex i yacc dla Pythona. Mimo iż
istnieje kilka innych analizatorów dla Pythona, to istnieje kilka
powodów, dla których można zainteresować się PLY:
- Używa on analizy LR, która jest w miarę wydajna i dość dobra dla
  większych gramatyk.
- Udostępnia większość możliwości standardowych lex/yacc, w tym
  obsługę pustych produkcji, reguł poprzedzania, rekompensowania błędów
  oraz obsługę niejednoznacznych gramatyk.
- Jest niezwykle łatwy w użyciu oraz zapewnia rozległą kontrolę
  błędów.

%package examples
Summary:	Python Lex-Yacc - examples
Summary(pl.UTF-8):	lex i yacc dla Pythona - przykłady
Group:		Development/Languages/Python

%description examples
Python Lex-Yacc - examples.

%description examples -l pl.UTF-8
lex i yacc dla Pythona - przykłady.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	 --root $RPM_BUILD_ROOT \
	 --optimize=2
%py_postclean

cp -Rf example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES README TODO doc/*.html
%dir %{py_sitescriptdir}/ply
%{py_sitescriptdir}/ply/*.py[co]
%if "%{py_ver}" >= "2.5"
%{py_sitescriptdir}/ply-%{version}-py*.egg-info
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Jan 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ply.git;a=log;h=master

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 6941758
- rebuild for fixed python eggs
- release 3 (by relup.sh)

* Tue Mar 13 2012 Jakub Bogusz <qboosh@pld-linux.org> a379571
- better pl desc
- package egg-info properly
- License is BSD
- release 2

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 6a3abe1
- release 1

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> 2d5c865
- up to 3.4

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4cc07d8
- drop obsolete files

* Thu Apr 02 2009 duddits <duddits@pld-linux.org> e11280e
- up to 3.2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 830679c
- up to 3.1
- cleaning
- %files

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e93c130
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 266bc3e
- converted to UTF-8

* Thu May 25 2006 blaass <blaass@pld-linux.org> eb2729c
- up to 1.7, removed old patch

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> e55d443
- adapterized (killed trailing spaces/tabs)

* Fri Dec 23 2005 twittner <twittner@pld-linux.org> bfc989e
- fixed my previous commit log (word repetition, wrapping)

* Fri Dec 23 2005 twittner <twittner@pld-linux.org> c81e519
- up to 1.6
- added -setup.patch: updated addresses, version
- added examples, created subpackage
- use setup.py (instead packaging it)
- rel. 0.1 - I have reservations how `lex.py' works (I've
  also tested older ver. - 1.5 - the same): I wrote similar
  programs for flex(1) and for ply lex.py and I've gotten
  expected results from flex(1) whereas from lex.py not.

* Fri Dec 23 2005 twittner <twittner@pld-linux.org> 274c0a6
- s/licence/license/, new, working addresses, update version for 1.6

* Sat Jul 16 2005 spider <spider@pld-linux.org> e94d36b
- typo

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 764ae0a
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Dec 25 2004 saq <saq@pld-linux.org> 7079485
- release 2 for rebuild with python 2.4

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> 0f689b8
- update to 1.5

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> de42959
- removed %include /usr/lib/rpm/macros.python

* Fri Jun 04 2004 jpc <jpc@pld-linux.org> 93c0d27
- updated to 1.4

